Bug 1306850 - Refactor Red Hat Access Lib to be a Proxy to Restful Services on redhat.com
Summary: Refactor Red Hat Access Lib to be a Proxy to Restful Services on redhat.com
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-redhat_access_lib
Version: Unspecified
Hardware: All
OS: All
high
high vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On: 1306847
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-11 21:47 UTC by Keith Robertson
Modified: 2019-04-01 20:26 UTC (History)
7 users (show)

Fixed In Version: tfm-rubygem-redhat_access_lib-1.0.1-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1306847
Environment:
Last Closed: 2016-07-27 09:23:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Keith Robertson 2016-02-11 21:47:48 UTC
Cloning this bug for 6.2.0

+++ This bug was initially created as a clone of Bug #1306847 +++

The REST endpoints on redhat.com that enable the Satellite 6 Red Hat Access plug-in will sunset CORS support soon.  To ensure that the Red Hat Access plug-in, continues to function in Satellite 6 all client calls must be proxied through the Satellite 6 server to REST endpoints on redhat.com.

This BZ enables this capability.  It is important to note that the proxy will *only* proxy traffic to the approved REST endpoints on RH.com and nowhere else and this proxy is only to enable the services provided the plug-in[1]

[1] https://access.redhat.com/articles/899803

Comment 4 jcallaha 2016-04-14 19:28:59 UTC
Verified in Satellite 6.2 Beta Snap 8 Compose 1. The plugin works appropriately.

Comment 8 errata-xmlrpc 2016-07-27 09:23:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.